
Redmine - Defect #21386

Cannot logon with LDAP

2015-12-01 01:49 - Takashi YANO

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.2

Description

After I upgraded redmine from 3.0.0 to 3.1.2, I cannot logon id with LDAP.

At 3.0.0, logon with LDAP was working.

History

#1 - 2015-12-01 05:07 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#2 - 2015-12-01 12:44 - Takashi YANO

production.log with debug level logging:

Started POST "/redmine/login" for 192.168.1.3 at 2015-11-29 15:25:33 +0900

Processing by AccountController#login as HTML

Parameters: {"utf8"=>"?",

"authenticity_token"=>"mLheHakimu3JuJeQuUtecekPEBnc59Y5ItUYAvDuIBRYqlVvIDxqp8cd7HDwZcUZ2ucEZHsDkAiSnv6fgYi1xg==",

"back_url"=>"https://nekochan.homedns.org/redmine/", "username"=>"tyano", "password"=>"[FILTERED]", "login"=>"ログイン ≫"}

Current user: anonymous

Failed login for 'tyano' from 192.168.1.3 at 2015-11-29 06:25:33 UTC

Rendered account/login.html.erb within layouts/base (3.0ms)

Completed 200 OK in 72ms (Views: 18.3ms | ActiveRecord: 2.0ms)

Started POST "/redmine/login" for 192.168.1.3 at 2015-11-29 15:26:46 +0900

Processing by AccountController#login as HTML

Parameters: {"utf8"=>"?",

"authenticity_token"=>"7tl8YD67xlAo5fNWhkKO1iMtDjLNV9GEw5jF37PjDJkuy3cSt6U2GiZAiLbPbBW+EMUaT2qzl7Vz0yNCwoWZSw==",

"back_url"=>"https://nekochan.homedns.org/redmine/", "username"=>"tyano", "password"=>"[FILTERED]", "login"=>"ログイン ≫"}

Current user: anonymous

Failed login for 'tyano' from 192.168.1.3 at 2015-11-29 06:26:47 UTC

Rendered account/login.html.erb within layouts/base (3.0ms)

Completed 200 OK in 68ms (Views: 17.9ms | ActiveRecord: 2.0ms)

Started POST "/redmine/login" for 192.168.1.3 at 2015-11-29 15:27:06 +0900

Processing by AccountController#login as HTML

#3 - 2015-12-01 13:14 - Toshi MARUYAMA

Please give us Submissions.

#4 - 2015-12-06 11:33 - Takashi YANO

- File I002.jpg added

I attached the login fail screen image.

#5 - 2015-12-06 12:22 - Toshi MARUYAMA

Submissions:

The simplest way to get information about your environment is to run the following command from within your Redmine installation:

Redmine 3.x:

ruby bin/about

Redmine 2.x:

ruby script/about
#6 - 2015-12-06 14:02 - Takashi YANO

I am runnig 3.1.2 and 3.1.1. Both of 3.1.1 and 3.1.2 the problem occurs.

bin/about shows:

Environment:

Redmine version                3.1.1.stable

Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version                  4.2.4

Environment                    production

Database adapter               SQLite

SCM:

Subversion                     1.8.8

Git                            1.9.1

Filesystem

Redmine plugins:

redmine_agile                  1.3.9

redmine_issue_templates        0.1.1

#7 - 2015-12-06 14:28 - Toshi MARUYAMA

Takashi YANO wrote:

Environment                    production

Database adapter               SQLite

 Why do you use SQLite on production?

Do you sure you use LDAP authentication?

How do you upgrade?

#8 - 2015-12-08 05:00 - Takashi YANO

Why do you use SQLite on production?

-> Only 2 or 3 users are using this redmine.

Do you sure you use LDAP authentication?

> Yes. If I swtich authentication to internal, it works.

> On 3.0, I could logon with LDAP authentication.

How do you upgrade?

->

tar zxvf redmine-3.1.2.tar.gz

cd ./redmine-3.1.2

cp -rpv ../redmine-3.0.0/files/ .

cp -rpv ../redmine-3.0.0/plugins/ .

cp -rpv ../redmine-3.0.0/db/ .

cp -pv ../redmine-3.0.0/config/database.yml config/

cp ../redmine-3.0.0/config/configuration.yml config/

service apache2 stop

gem update bundler

bundle install --without development test postgresql

bundle exec rake generate_secret_token

bundle exec rake db:migrate RAILS_ENV=production

bundle exec rake redmine:plugins:migrate RAILS_ENV=production

bundle exec rake tmp:cache:clear tmp:sessions:clear

chown -R www-data:www-data .

[edit /etc/apache2/conf-enabled/redmine.conf]

service apache2 start

By the way I have an idea:

define a new LDAP connaction with the same configuration of the old one and use it.

I will try

#9 - 2015-12-08 05:10 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Takashi YANO wrote:

Why do you use SQLite on production?

-> Only 2 or 3 users are using this redmine.

 You should not use SQLite on production even though few users.

2024-04-10 2/3



Please use forum for questions and create new issue if you sure it is Redmine problem.
